CloudLinux PHP Selector

CloudLinux requires the following to be installed:

  • PHP Selector
  • LVE Manager
  • CageFS


Now on the LiteSpeed admin control panel use the following:

CloudLinux (Admin Console ⇒ Configuration ⇒ Server ⇒ General): CageFS
LSPHP5 external app runs in NON suEXEC daemon mode ONLY (Run On Start Up ⇒ Yes or No)


Install the following to get everything set-up:

yum groupinstall alt-php -y
yum update cagefs lvemanager --enablerepo=cloudlinux-updates-testing -y
ls -l /usr/local/bin/lsphp
/usr/local/bin/lsphp -> /etc/cl.selector/lsphp*


If you still have questions about using the PHP selector, feel free to contact us by opening a support ticket or by using our live chat feature.

  • 0 Users Found This Useful
Was this answer helpful?

Also Read

How many cores are needed?

An 8 core server generally doesn't need more than a 2-CPU license or even a 1-CPU license....

How to swap LiteSpeed to Apache

If for whatever reason, you want to change your Web server, simply type in the following command...

An LC.8 Error Appeared

If you see an LC.8 error appear while using LiteSpeed, then the IP you have been assigned has...

MySQL errors

If you are receiving MySQL errors, make sure to check PHPInfo for the MySQL section (Apache):...

How to Upgrade LiteSpeed

 Please use the following command with the version number: ...